Bug 1278147 - Update OpenSCAP for "atomic scan"
Summary: Update OpenSCAP for "atomic scan"
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openscap
Version: 7.2
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jan Černý
QA Contact: Marek Haicman
Mirek Jahoda
URL:
Whiteboard:
Keywords: Rebase, ZStream
Depends On: 1344762
Blocks: 1296594 1313485 1272037 1333812
TreeView+ depends on / blocked
 
Reported: 2015-11-04 18:59 UTC by Martin Preisler
Modified: 2016-11-04 03:32 UTC (History)
11 users (show)

(edit)
_openscap_ rebased to version 1.2.10

The OpenSCAP suite that enables integration of the Security Content Automation Protocol (SCAP) line of standards has been rebased to version 1.2.10, the latest upstream version. The _openscap_ packages provide the OpenSCAP library and the *oscap* utility. Most notably, this update adds support for scanning containers using the "atomic scan" command. In addition, this update provides the following enhancements:
 * *oscap-vm*, a tool for offline scanning of virtual machines
 * *oscap-chroot*, a tool for offline scanning of file systems mounted at arbitrary paths
 * Full support for Open Vulnerability and Assessment Language (OVAL) 5.11.1
 * Native support for remote .xml.bz2 files
 * Grouping HTML report results according to various criteria
 * HTML report improvements
 * Verbose mode for debugging OVAL evaluation
Clone Of:
: 1333812 (view as bug list)
(edit)
Last Closed: 2016-11-04 03:32:45 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2316 normal SHIPPED_LIVE openscap bug fix update 2016-11-03 13:42:19 UTC

Description Martin Preisler 2015-11-04 18:59:56 UTC
Description of problem:
oscap-docker has been ported to python2 and several reusable functions are now exposed as a python package [1]. These are used by OpenSCAP-daemon which is used by atomic scan. For atomic scan to work with packaged components we need to either rebase OpenSCAP to version 1.2.6 or add a downstream patch with the new oscap-docker to the 1.2.5 version.

Atomic scan bug that requires this: https://bugzilla.redhat.com/show_bug.cgi?id=1272037
See also https://bugzilla.redhat.com/show_bug.cgi?id=1202868

[1] https://github.com/OpenSCAP/openscap/commit/0c145eede09b7dfc33cd3ab42351934aa23b0b6a

Version-Release number of selected component (if applicable):
1.2.5

Comment 6 Mike McCune 2016-03-28 23:35:19 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 15 Marek Haicman 2016-05-26 11:12:59 UTC
I have found issue in oscap-docker utility. Due to [possible] bug in RHEL-shipped python2, the argparse library behaves differently (parser defaults takes precedence to subparser defaults), preventing any use of the utility.

As a workaround, it is necessary to remove line 68:
parser.set_defaults(func=parser.print_help)

I have filed python bug bz1340036, for workaround-related discussion use bz1333812 for now, thanks :)

Comment 16 Martin Preisler 2016-05-31 17:11:56 UTC
Upstream commit https://github.com/OpenSCAP/openscap/commit/fa334865b1eb24c6eabfe4c80a339c84ffc2d250 fixes the issue.

Comment 18 Marek Haicman 2016-06-13 09:36:09 UTC
Returning, due to bug #1344762

Comment 20 Marek Haicman 2016-09-17 10:30:59 UTC
This rebase passed regression suite, also bugs reported ( bz1340036 and bz1344762 ) are verified to be fixed in version openscap-1.2.10-2.el7

Comment 22 errata-xmlrpc 2016-11-04 03:32:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2316.html


Note You need to log in before you can comment on or make changes to this bug.